

#ifndef XGFXLIGHTGRIDENTRY_H
#define XGFXLIGHTGRIDENTRY_H

#include "xasset.h"

class XGfxLightGridEntry : public XAsset
{
public:
    XGfxLightGridEntry();
    virtual ~XGfxLightGridEntry();

    // Override Clear and ParseData from XAsset
    virtual void Clear() override;
    virtual void ParseData(QDataStream *aStream) override;

    quint32 colorsIndex;
    quint8 primaryLightIndex;
    quint8 needsTrace;
};

#endif // XGFXLIGHTGRIDENTRY_H

